package hdl

import (
	"applet/app/admin/lib/validate"
	"applet/app/customer/md"
	svc "applet/app/customer/svc/order"
	"applet/app/e"
	"applet/app/enum"
	"github.com/gin-gonic/gin"
)

func SelfSupportForSchoolOrderList(c *gin.Context) {
	var req md.SelfSupportForSchoolOrderListReq
	err := c.ShouldBindJSON(&req)
	if err != nil {
		err = validate.HandleValidateErr(err)
		err1 := err.(e.E)
		e.OutErr(c, err1.Code, err1.Error())
		return
	}
	list, total, err := svc.SupportOrderList(req)
	if err != nil {
		e.OutErr(c, e.ERR, err.Error())
		return
	}

	tradeAmountTotal, err := svc.SupportOrderStatistic(req)
	if err != nil {
		e.OutErr(c, e.ERR, err.Error())
		return
	}

	e.OutSuc(c, map[string]interface{}{
		"list":               list,
		"total":              total,
		"trade_amount_total": tradeAmountTotal,
		"ord_status_list": []map[string]interface{}{
			{
				"name":  enum.SelfSupportForSchoolOrdOrderStatus.String(enum.SelfSupportForSchoolOrdOrderStatusForWait),
				"value": enum.SelfSupportForSchoolOrdOrderStatusForWait,
			},
			{
				"name":  enum.SelfSupportForSchoolOrdOrderStatus.String(enum.SelfSupportForSchoolOrdOrderStatusForSuccess),
				"value": enum.SelfSupportForSchoolOrdOrderStatusForSuccess,
			},
		},
	}, nil)
	return
}
